OpenVDB 5.1.0

Classes | Public Types | Static Public Member Functions | List of all members
StringCodec< Truncate > Struct Template Reference

`#include <AttributeArrayString.h>`

## Classes
struct | Storage

## Public Types
using | ValueType = StringIndexType

## Static Public Member Functions
template<typename StorageType >
static void | decode (const StorageType &, ValueType &)
template<typename StorageType >
static void | encode (const ValueType &, StorageType &)
static const char * | name ()

## Member Typedef Documentation

## ◆ ValueType

using ValueType = StringIndexType

## Member Function Documentation

## ◆ decode()

void decode | ( | const StorageType & | data,
|  | ValueType & | val
| ) |  |
| inline static

## ◆ encode()

void encode | ( | const ValueType & | val,
|  | StorageType & | data
| ) |  |
| inline static

## ◆ name()

static const char* name | ( |  | ) |
| inline static

The documentation for this struct was generated from the following file:

- AttributeArrayString.h